<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>http</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<h1 class="toc">Module http</h1>
<hr />
  <h2 class="toc">Classes</h2>
    <a target="mainFrame" href="googleapiclient.http.BatchHttpRequest-class.html"
     >BatchHttpRequest</a><br />    <a target="mainFrame" href="googleapiclient.http.HttpMock-class.html"
     >HttpMock</a><br />    <a target="mainFrame" href="googleapiclient.http.HttpMockSequence-class.html"
     >HttpMockSequence</a><br />    <a target="mainFrame" href="googleapiclient.http.HttpRequest-class.html"
     >HttpRequest</a><br />    <a target="mainFrame" href="googleapiclient.http.HttpRequestMock-class.html"
     >HttpRequestMock</a><br />    <a target="mainFrame" href="googleapiclient.http.MediaDownloadProgress-class.html"
     >MediaDownloadProgress</a><br />    <a target="mainFrame" href="googleapiclient.http.MediaFileUpload-class.html"
     >MediaFileUpload</a><br />    <a target="mainFrame" href="googleapiclient.http.MediaInMemoryUpload-class.html"
     >MediaInMemoryUpload</a><br />    <a target="mainFrame" href="googleapiclient.http.MediaIoBaseDownload-class.html"
     >MediaIoBaseDownload</a><br />    <a target="mainFrame" href="googleapiclient.http.MediaIoBaseUpload-class.html"
     >MediaIoBaseUpload</a><br />    <a target="mainFrame" href="googleapiclient.http.MediaUpload-class.html"
     >MediaUpload</a><br />    <a target="mainFrame" href="googleapiclient.http.MediaUploadProgress-class.html"
     >MediaUploadProgress</a><br />    <a target="mainFrame" href="googleapiclient.http.RequestMockBuilder-class.html"
     >RequestMockBuilder</a><br />  <div class="private">
    <a target="mainFrame" href="googleapiclient.http._StreamSlice-class.html"
     >_StreamSlice</a><br />  </div>
  <h2 class="toc">Functions</h2>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.http-module.html#_retry_request"
     >_retry_request</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.http-module.html#_should_retry_response"
     >_should_retry_response</a><br />  </div>
    <a target="mainFrame" href="googleapiclient.http-module.html#build_http"
     >build_http</a><br />    <a target="mainFrame" href="googleapiclient.http-module.html#set_user_agent"
     >set_user_agent</a><br />    <a target="mainFrame" href="googleapiclient.http-module.html#tunnel_patch"
     >tunnel_patch</a><br />  <h2 class="toc">Variables</h2>
    <a target="mainFrame" href="googleapiclient.http-module.html#ConnectionError"
     >ConnectionError</a><br />    <a target="mainFrame" href="googleapiclient.http-module.html#DEFAULT_CHUNK_SIZE"
     >DEFAULT_CHUNK_SIZE</a><br />    <a target="mainFrame" href="googleapiclient.http-module.html#DEFAULT_HTTP_TIMEOUT_SEC"
     >DEFAULT_HTTP_TIMEOUT_SEC</a><br />    <a target="mainFrame" href="googleapiclient.http-module.html#LOGGER"
     >LOGGER</a><br />    <a target="mainFrame" href="googleapiclient.http-module.html#MAX_BATCH_LIMIT"
     >MAX_BATCH_LIMIT</a><br />    <a target="mainFrame" href="googleapiclient.http-module.html#MAX_URI_LENGTH"
     >MAX_URI_LENGTH</a><br />  <div class="private">
    <a target="mainFrame" href="googleapiclient.http-module.html#_LEGACY_BATCH_URI"
     >_LEGACY_BATCH_URI</a><br />  </div>
  <div class="private">
    <a target="mainFrame" href="googleapiclient.http-module.html#_TOO_MANY_REQUESTS"
     >_TOO_MANY_REQUESTS</a><br />  </div>
    <a target="mainFrame" href="googleapiclient.http-module.html#__package__"
     >__package__</a><br /><hr />
<span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie();
  // -->
</script>
</body>
</html>
